Bug 228187 - Kernel oops when running updatedb
Kernel oops when running updatedb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-11 00:17 EST by Christopher Beland
Modified: 2011-12-13 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-02-11 00:17:39 EST
Description of problem:

I get this message from the kernel a minute or two after I run "updatedb":

Oops: 0000 [#1]
SMP 
CPU:    0
EIP:    0060:[<c049a258>]    Not tainted VLI
EFLAGS: 00010202   (2.6.19-1.2895.fc6 #1)
EIP is at inotify_inode_queue_event+0x4f/0xd0
eax: 00000001   ebx: c0007a44   ecx: 00000000   edx: c0aa5000
esi: 3961e786   edi: e2a14380   ebp: 0000000b   esp: c0aa5f58
ds: 007b   es: 007b   ss: 0068
Process updatedb (pid: 24674, ti=c0aa5000 task=eb8266d0 task.ti=c0aa5000)
Stack: 0000000b 00000015 0000000b 00000000 00000000 00000000 40000020 c0007bb4 
       00000000 c0007bac 40000020 c0007a44 e2a14380 0000000b c04744cf 00000000 
       00000000 d658b000 0804dc4a 08c22a38 00000000 c0aa5000 c0474524 bf8ba1ec 
Call Trace:
 [<c04744cf>] do_sys_open+0xa2/0xbe
 [<c0474524>] sys_open+0x1c/0x1e
 [<c040404b>] syscall_call+0x7/0xb
 [<0065d402>] 0x65d402
 =======================
Code: 01 00 00 89 44 24 24 39 83 68 01 00 00 0f 84 91 00 00 00 8d 83 70 01 00 00
89 44 24 1c e8 52 ab 18 00 8b b3 68 01 00 00 83 ee 08 <8b> 6e 08 eb 58 8b 7e 20
85 7c 24 18 74 4a 8b 5e 14 8d 43 20 89 
EIP: [<c049a258>] inotify_inode_queue_event+0x4f/0xd0 SS:ESP 0068:c0aa5f58

Version-Release number of selected component (if applicable):

kernel-2.6.19-1.2895.fc6
glibc-2.5-10.fc6
mlocate-0.15-0.fc6.1

How reproducible:

Happens every time I run "updatedb"
Comment 1 Christopher Beland 2007-02-20 12:46:56 EST
This is no longer occurring, after running fsck on the filesystem and repairing
a broken inode or two.  However, I am still experiencing occasional
filesystem-related oopses, which I am reporting separately.
Comment 2 Chuck Ebbert 2007-02-27 18:36:12 EST
So there is probably some kind of bug in inotify when dealing with corrupted
filesystems.
Comment 3 Kam Leo 2007-03-17 22:07:42 EDT
I am experiencing kernel oops using FC-32 2.6.20-1.2925.fc6. 

# updatedb

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: Oops: 0000 [#1]

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: SMP 

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: CPU:    0

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: EIP:    0060:[<c04ceba0>]    Tainted: P      VLI

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: EFLAGS: 00010202   (2.6.20-1.2925.fc6 #1)

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: EIP is at selinux_netlbl_inode_permission+0x1f/0x60

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: eax: 00000000   ebx: de644dbc   ecx: de644df0   edx: 00000002

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: esi: 00000000   edi: 095595fa   ebp: 0000000c   esp: de89df74

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: ds: 007b   es: 007b   ss: 0068

Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
FC-32 kernel: Process vmware-guestd (pid: 2166, ti=de89d000 task=deafc870
task.ti=de89d000)

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel: Stack: dfcd8f00 00000000 c0472740 0000000c de894d38 dfcd8f00
fffffff7 00000003 

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:        de89d000 c0472d76 de89dfa0 00000000 00000000 00000000
00000003 bf8c3258 

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:        c0403f64 00000003 095595fa 0000000c bf8c3258 00000003
bf8c3158 00000004 

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel: Call Trace:

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:  [<c0472740>] vfs_write+0x84/0x154

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:  [<c0472d76>] sys_write+0x41/0x67

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:  [<c0403f64>] syscall_call+0x7/0xb

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel:  =======================

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel: Code: eb f0 83 c4 18 89 f8 5b 5e 5f 5d c3 56 89 c1 53 0f b7 40 6e
25 00 f0 00 00 3d 00 c0 00 00 75 45 80 e2 0a 74 40 8d 59 cc 8b 43 14 <8b> b0 98
01 00 00 83 7e 10 01 75 2e e8 d8 ce f5 ff 8b 43 14 83 

Message from syslogd@FC-32 at Sat Mar 17 18:59:36 2007 ...
FC-32 kernel: EIP: [<c04ceba0>] selinux_netlbl_inode_permission+0x1f/0x60 SS:ESP
0068:de89df74
Comment 4 Kam Leo 2007-03-17 22:37:03 EDT
A "shutdown -F -r" did not find any filesystem problems. Kernel oops still
occurs after the reboot. FC6 is running as a VMWare Workstation 5.5.3 guest OS
(Windows 2000 host). Filesystem is LVM. Not experiencing this problem on a
stand-alone FC6 system which is using a single partition ext3.
Comment 5 Chuck Ebbert 2007-03-18 18:32:58 EDT
(In reply to comment #3)
> I am experiencing kernel oops using FC-32 2.6.20-1.2925.fc6. 
> 
> # updatedb
> 
> Message from syslogd@FC-32 at Sat Mar 17 18:59:35 2007 ...
> FC-32 kernel: Oops: 0000 [#1]
> 

Please file a new bug report for this -- it's not the same bug.
Comment 6 Bug Zapper 2008-04-04 02:11:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:12:24 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.